// ListCtrlOrder.h: interface for the CListCtrlOrder class.
// Copyright (c) 2016 by David Wincelberg
//////////////////////////////////////////////////////////////////////

#pragma once

class CStringOrder;

class CListCtrlOrder
{
// Construction/Destruction
public:
	CListCtrlOrder (CStringOrder* pStringOrder = nullptr, bool bHandleDelete = true);
	virtual ~CListCtrlOrder();

// Attributes
protected:
	int  m_nCol;
	bool m_bReverse;

private:
	CStringOrder* m_pStringOrder;
	bool m_bHandleDelete;

// Operations
public:
	void SetStringOrder (CStringOrder* pStringOrder, bool bHandleDelete = true);
	bool ValidStringOrder() {return m_pStringOrder != nullptr;};
	CStringOrder* GetStringOrder() {return m_pStringOrder;};
	void SetValues (int nCol, bool bReverse);
	virtual int Compare (LPARAM lParam1, LPARAM lParam2);
};
